%global source_dir  %{_datadir}/%{name}-source
%global inst_srcdir %{buildroot}/%{source_dir}

Name:             libev
Version:          4.24
Release:          11
Summary:          A high-performance event loop/event model with lots of features
License:          BSD or GPLv2+
URL:              http://software.schmorp.de/pkg/libev.html
Source0:          http://dist.schmorp.de/libev/Attic/%{name}-%{version}.tar.gz

BuildRequires:    autoconf automake coreutils findutils gcc libtool make git tar

Provides:         bundled(libecb) = 1.05

%description
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller.

%package devel
Summary:          Development files for %{name}
Requires:         %{name} = %{version}-%{release}

%description devel
Libraries and header files of %{name} are all in the %{name}-devel package.

%package libevent-devel
Summary:          Compatibility development header with libevent for %{name}.
Requires:         %{name}-devel%{?_isa} = %{version}-%{release}

# The event.h file actually conflicts with the one from libevent-devel
Conflicts:        libevent-devel

%description libevent-devel
This package contains a development header to make libev compatible with
libevent.

%package        help
Summary:        Help manual for %{name}

%description    help
The %{name}-help package conatins man manual etc

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit
autoreconf -vfi

%build
%configure --disable-static --with-pic
%make_build

%check
make check

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}%{_libdir}/%{name}.la

%ldconfig_scriptlets

%files
%license LICENSE
%doc Changes README
%{_libdir}/%{name}.so.4*

%files devel
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_libdir}/%{name}.so

%files libevent-devel
%{_includedir}/event.h

%files help
%{_mandir}/man?/*

%changelog
* Thu Oct 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.24-11
- remove event.h from devel subpackage

* Wed Oct 30 2019 hexiaowen <hexiaowen@huawei.com> - 4.24-10
- delete conflict

* Wed Oct 30 2019 hexiaowen <hexiaowen@huawei.com> - 4.24-9
- add libev-libevent-devel

* Tue Oct 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.24-8
- Package init
